Package org.stianloader.micromixin.transform.internal

## Class MixinHeader

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.MixinHeader

    public class MixinHeader
    extends java.lang.Object

Wrapper around the central "@Mixin" annotation.

### Field Summary

Fields
`int` `priority`
`java.util.Collection<java.lang.String>` `targets`

### Constructor Summary

Constructors
`MixinHeader​(java.util.Collection<java.lang.String> targets, int priority)`

### Method Summary

All Methods Static Methods Concrete Methods
`static MixinHeader` `parse​(org.objectweb.asm.tree.ClassNode node, int defaultPriority)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### targets

    @NotNull
    public final java.util.Collection<java.lang.String> targets

#### priority

    public final int priority

### Constructor Detail

#### MixinHeader

    public MixinHeader​(@NotNull
                       java.util.Collection<java.lang.String> targets,
                       int priority)

### Method Detail

#### parse

    @NotNull
    public static MixinHeader parse​(@NotNull
                                    org.objectweb.asm.tree.ClassNode node,
                                    int defaultPriority)
                             throws MixinParseException

Throws:
  `MixinParseException`